<bugID>884204<Summary>Unify "removable" property implementation</Summary><Description>Currently our use of removable="true"/"false" is a little messy. For API-provided widgets, we try to check the widget's property, but for XUL widgets we use the attribute. I'm not sure why we don't just use the attribute everywhere. Right now the story is 'complicated' for custom widgets, which up until just now had to provide both - and for bug 882960 we made sure custom widgets also get the right behaviour everywhere.

However, now we use properties for API-provided widgets, and attributes for XUL widgets.

I suspect the best way is actually to always (even for API-provided widgets) use attributes to check removability, and only use the property to set the attribute on API-created nodes, but not to later check if the item is removable. Ironically, this is me changing my mind from bug 875775 comment 9... Jared, Mike, what do you think?</Description></bugID>